Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510905 - [CSD] Video playback ghosting/artefacts with FF57 when GTK client side decorations is enabled
Summary: [CSD] Video playback ghosting/artefacts with FF57 when GTK client side decora...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 26
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 12:30 UTC by stupidfrog66
Modified: 2018-05-29 12:41 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:41:07 UTC


Attachments (Terms of Use)
A YouTube video showing the Cinnamon desktop during playback (deleted)
2017-11-08 12:32 UTC, stupidfrog66
no flags Details
Same video but with GNOME instead of Cinnamon (deleted)
2017-11-08 12:33 UTC, stupidfrog66
no flags Details
A playing WebM video with gnome-terminal behind it (deleted)
2017-11-08 12:34 UTC, stupidfrog66
no flags Details
YouTube video 2 (Nautilus appearing over speaker's t-shirt) (deleted)
2017-11-08 12:37 UTC, stupidfrog66
no flags Details
widget.allow-client-side-decoration=false (deleted)
2017-11-08 16:54 UTC, stupidfrog66
no flags Details
widget.allow-client-side-decoration=true (deleted)
2017-11-08 16:55 UTC, stupidfrog66
no flags Details

Description stupidfrog66 2017-11-08 12:30:59 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Build Identifier: 

I have installed Firefox 57 from the jhogarth/firefox57 Copr repo. When playing a video windows and the desktop wallpaper becomes slightly visible through the video pane which is easily noticeable with darker images. This issue only occurs during playback and the video renders as it should when paused.

Disabling the Copr repo and downgrading back to FF56 'fixes' the issue completely

Reproducible: Always

Steps to Reproduce:
Launch Firefox and play any video

Actual Results:  
Opened windows and sometimes the desktop wallpaper becomes slightly visible through a playing video

Expected Results:  
The video should play without any artefacts

I am using the following configuration:
* Kernel 4.13.11-200.fc26.x86_64
* Tested with GNOME (on X) and Cinnamon desktop, no idea if this affects non-compositing DEs
* GTX 1060 3GB (tried Nvidia 387.22, 384.90 and Nouveau)

Comment 1 stupidfrog66 2017-11-08 12:32:12 UTC
Created attachment 1349431 [details]
A YouTube video showing the Cinnamon desktop during playback

Comment 2 stupidfrog66 2017-11-08 12:33:25 UTC
Created attachment 1349433 [details]
Same video but with GNOME instead of Cinnamon

Comment 3 stupidfrog66 2017-11-08 12:34:26 UTC
Created attachment 1349434 [details]
A playing WebM video with gnome-terminal behind it

Comment 4 stupidfrog66 2017-11-08 12:37:11 UTC
Created attachment 1349444 [details]
YouTube video 2 (Nautilus appearing over speaker's t-shirt)

Comment 5 Martin Stransky 2017-11-08 14:11:17 UTC
Can you please test stock Firefox 57 beta from mozilla?

http://archive.mozilla.org/pub/firefox/candidates/57.0b14-candidates/build1/linux-x86_64/en-US/firefox-57.0b14.tar.bz2

Comment 6 stupidfrog66 2017-11-08 16:50:38 UTC
(In reply to Martin Stransky from comment #5)
> Can you please test stock Firefox 57 beta from mozilla?
> 
> http://archive.mozilla.org/pub/firefox/candidates/57.0b14-candidates/build1/
> linux-x86_64/en-US/firefox-57.0b14.tar.bz2

I was unable to reproduce the issue with the build you linked.

After some investigation the issue appears to be caused by the GTK client side decoration patches included with Fedora versions of FF57. I was unable to reproduce the issue with the Copr build neither using a fresh profile and no addons, however the issue came back as soon as widget.allow-client-side-decoration is enabled in about:config.

I am not sure if this affects the validity of this bug report since CSD is not enabled by default at the time of writing.

Comment 7 stupidfrog66 2017-11-08 16:54:32 UTC
Created attachment 1349537 [details]
widget.allow-client-side-decoration=false

Comment 8 stupidfrog66 2017-11-08 16:55:21 UTC
Created attachment 1349538 [details]
widget.allow-client-side-decoration=true

Comment 9 Martin Stransky 2017-11-09 09:01:16 UTC
Yes, that makes sense as the CSD uses transparent main window to draw round corners. Thanks for the report.

Comment 10 Fedora End Of Life 2018-05-03 08:24:04 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2018-05-29 12:41:07 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.